<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.4.1
 * @author     Thomas Griffin
 * @author     Gary Jones
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    //opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       //github.com/thomasgriffin/TGM-Plugin-Activation
 */

require_once get_template_directory() . '/inc/tgmpa/class-tgm-plugin-activation.php';

/**
 * Undocumented function
 */
function radiantthemes_register_required_plugins() {
	$url = get_option('radiant_purchase_url');
	$purchase_code_val = get_option('radiant_purchasecode');
	$user_name_val = get_option('radiant_user_name');
	$plugins = array(
		// Redux Framework.
		array(
			'name'     => esc_html__( 'Redux Framework', 'softek' ),
			'slug'     => 'redux-framework',
				'source'   => 'https://softek.radiantthemes.com/plugins/redux-framework.zip',
			'required' => true,
		),
		// Elementor.
		array(
			'name'     => esc_html__( 'Elementor', 'softek' ),
			'slug'     => 'elementor',
			'required' => true,
		),
		// Unyson.
		array(
			'name'     => 'Unyson',
			'slug'     => 'unyson',
			'required' => true,
			'source'   => 'https://api.radiantthemes.com/plugins/@3d!S58hndj-5d5&-fg8/unyson.zip',			
		),
		// AnyWhere Elementor.
		array(
			'name'     => esc_html__( 'Elementor Anywhere ', 'softek' ),
			'slug'     => 'anywhere-elementor',
			'required' => true,
		),
		// Contact Form 7.
		array(
			'name'     => esc_html__( 'Contact Form 7', 'softek' ),
			'slug'     => 'contact-form-7',
			'required' => true,
		),
		
		//Void Contact Form 7 Widget For Elementor Page Builder.
		array(
			'name'     => esc_html__( 'Void Contact Form 7', 'softek' ),
			'slug'     => 'cf7-widget-elementor',
			'required' => true,
		),
		// RadiantThemes Custom Post Type.
		array(
			'name'     => 'RadiantThemes Custom Post Type',
			'slug'     => 'radiantthemes-custom-post-type',
			'source'   => 'https://templatelibrary.radiantthemes.com/softek-plugin/?id=1&url='.$url.'&userNameVal='.$user_name_val.'&purchaseCodeVal='.$purchase_code_val,
			'required' => true,
			'version'  => '5.0',
			
		),

		// RadiantThemes Addons.
		array(
			'name'     => 'RadiantThemes Addons',
			'slug'     => 'radiantthemes-addons',
			'source'   => 'https://templatelibrary.radiantthemes.com/softek-plugin/?id=2&url='.$url.'&userNameVal='.$user_name_val.'&purchaseCodeVal='.$purchase_code_val,
			'required' => true,
			'version'  => '5.0',
		
		),
		
		// RadiantThemes Library.
		array(
			'name'     => esc_html__( 'RadiantThemes Library', 'softek' ),
			'slug'     => 'radiantthemes-library',
			'source'   => 'https://templatelibrary.radiantthemes.com/softek-plugin/?id=3&url='.$url.'&userNameVal='.$user_name_val.'&purchaseCodeVal='.$purchase_code_val,
			'required' => true,
		),
		// WooCommerce.
		array(
            'name'     => esc_html__( 'WooCommerce', 'softek' ),
            'slug'     => 'woocommerce',
            'source'   => 'https://softek.radiantthemes.com/plugins/woocommerce.zip',
            'required' => true,
        ),
		// Advanced Custom Fields.
		array(
			'name'     => esc_html__( 'Advanced Custom Fields', 'softek' ),
			'slug'     => 'advanced-custom-fields',
			'required' => true,
		),
		// Advanced Custom Fields Typography.
		array(
			'name'     => esc_html__( 'Advanced Custom Fields: Typography Field', 'softek' ),
			'slug'     => 'acf-typography-field',
			'source'   => 'https://softek.radiantthemes.com/plugins/acf-typography-field.zip',
			'required' => true,
		),
	
		// Slider Revolution.
		array(
			'name'     => esc_html__( 'Slider Revolution', 'softek' ),
			'slug'     => 'revslider',
			'source'   => 'https://api.radiantthemes.com/plugins/@3d!S58hndj-5d5&-fg8/revslider--4cLsaCdwDzB4jxfMDiKyn8w6aaGoxSAuARhrNfm6.zip',
			'required' => true,
		),
		
	);

	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                    // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'radiantthemes_register_required_plugins' );