<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package softek
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'single-post' ); ?>>
				<?php if ( has_post_thumbnail() ) { ?>
			<div class="post-thumbnail ">

				<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' ); ?></a>
			</div><!-- .post-thumbnail -->
		<?php } ?>
		<div class="entry-blog-content">
			<div class="post-meta">
				<div class="tag-name">
					<?php
						$category_detail = get_the_category( get_the_id() );
						$result          = '';
						foreach ( $category_detail as $item ) :
							$category_link = get_category_link( $item->cat_ID );
							$result       .= '<a href = "' . esc_url( $category_link ) . '">' . $item->name . '</a>';
						endforeach;
						echo wp_kses( $result, 'post' );
						?>
					</div>
				<header class="entry-header">
			<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
		</header><!-- .entry-header -->
			<div class="entry-extra-item">
				<div class="author-box">
					<div class="author-pic">
						<?php echo get_avatar( get_the_author_meta( 'email' ), '150' ); ?>
					</div><!-- .pic -->
					<span class="author"><i class="fa fa-user"></i><?php the_author(); ?></span>
				</div>
				<span class="date"><i class="fa fa-calendar" aria-hidden="true"></i><?php echo get_the_time( 'F d, Y' ); ?></span>
				<span class="comment"><i class="ti-comments-smiley" aria-hidden="true"></i><?php echo get_comments_number(); ?> <?php echo esc_html__( 'Comments', 'softek' ); ?></span>
			</div>
		</div>

	</div>
	<div class="entry-main">
		<div class="entry-content default-page">
			<?php
			the_content(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. */
						__( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'softek' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				)
			);
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'softek' ),
					'after'  => '</div>',
				)
			);
			?>
			<div class="clearfix"></div>
		</div><!-- .entry-content -->
	</div><!-- .entry-main -->
</article><!-- #post-## -->
